<template>
  <div class="project">
    <div class="card">
      <div class="text-card">
        Maximum project limit reached
      </div>
      <a v-if="user.account_type == 'free'" :href="clientUrl + '/pricing'" class="btn">Upgrade your account</a>
    </div>
  </div>
</template>

<script>

import Vuex from "vuex";

export default {
  name: 'AddProjectLimit',

  data: function () {
    return {
        clientUrl: process.env.VUE_APP_CLIENT_URL,
    }
  },
  computed: {
    ...Vuex.mapGetters(['user']),
  },
  methods: {
  }
}
</script>

<style scoped>
.card {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100%;
    border: 2px solid var(--color-primary-blue);
    border-radius: 8px;
    padding: 20px;
    width: 250px;
    min-height: 230px;
    flex-direction: column;
    justify-content: space-evenly;
}

.text-card {
  font-size: 20px;
  padding: 8px 30px;
  color:var(--color-primary-blue);
  font-weight: 700;
}

.text-card-second {
    font-size: 20px;
    padding: 8px 30px;
    color:var(--color-primary-blue);
}

.title {
  padding: 10px;
  margin: 0;
  width: 100%;
  border-bottom: 1px solid var(--color-primary-blue);
  text-align: left;
}

.modal-middle {
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.input-project-name label {
  margin-bottom: 8px;
}

</style>